<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('request_log_benefits', function (Blueprint $table) {
            $table->id();
            $table->timestamps();
            $table->foreignId('request_log_id');
            $table->foreignId('benefit_id');
            $table->integer('amount_incurred');
            $table->integer('amount_approved');
            $table->integer('amount_not_approved');
            $table->integer('excess_paid');
            $table->string('keterangan');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('request_log_benefits');
    }
};
